> For the complete documentation index, see [llms.txt](https://developers.oxylabs.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.oxylabs.io/products/es/web-scraper-api/destinos/e-commerce/destino/categoria.md).

# Categoría

Haz scraping de las páginas de categoría de Target por ID de nodo de taxonomía, con soporte para localización por tienda, tipo de cumplimiento y código postal de entrega.

La URL de almacenamiento `target_category` source recupera páginas de categoría de Target por el ID del nodo de taxonomía de Target. La respuesta devuelve el HTML de la página en `content`, en la estructura estándar de respuesta descrita en [Realtime](https://developers.oxylabs.io/products/es/web-scraper-api/integration-methods/realtime.md) y [Push-Pull](https://developers.oxylabs.io/products/es/web-scraper-api/integration-methods/push-pull.md).

{% hint style="info" %}
Además de los parámetros enumerados a continuación, puede incluir parámetros adicionales como `user_agent_type`, `geo_location`, `render`, y más para personalizar su solicitud de scraping. Lea más [aquí](https://developers.oxylabs.io/products/es/web-scraper-api/features.md).
{% endhint %}

## Ejemplos de solicitud

{% tabs %}
{% tab title="cURL" %}

```bash
curl 'https://realtime.oxylabs.io/v1/queries' \
--user 'USERNAME:PASSWORD' \
-H 'Content-Type: application/json' \
-d '{
        "source": "target_category",
        "category_id": "owq2q"
    }'
```

{% endtab %}

{% tab title="Python" %}

```python
import requests
from pprint import pprint

# Structure payload.
payload = {
    'source': 'target_category',
    'category_id': 'owq2q'
}

# Get response.
response = requests.request(
    'POST',
    'https://realtime.oxylabs.io/v1/queries',
    auth=('USERNAME', 'PASSWORD'),
    json=payload
)

# Instead of response with job status and results url, this will return the
# JSON response with the result.
pprint(response.json())
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const https = require("https");

const username = "USERNAME";
const password = "PASSWORD";
const body = {
    source: "target_category",
    category_id: "owq2q"
};

const options = {
    hostname: "realtime.oxylabs.io",
    path: "/v1/queries",
    method: "POST",
    headers: {
        "Content-Type": "application/json",
        Authorization:
            "Basic " + Buffer.from(`${username}:${password}`).toString("base64"),
    },
};

const request = https.request(options, (response) => {
    let data = "";

    response.on("data", (chunk) => {
        data += chunk;
    });

    response.on("end", () => {
        const responseData = JSON.parse(data);
        console.log(JSON.stringify(responseData, null, 2));
    });
});

request.on("error", (error) => {
    console.error("Error:", error);
});

request.write(JSON.stringify(body));
request.end();
```

{% endtab %}

{% tab title="HTTP" %}

```http
# The whole string you submit has to be URL-encoded.

https://realtime.oxylabs.io/v1/queries?source=target_category&category_id=owq2q&access_token=12345abcde
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php

$params = array(
    'source' => 'target_category',
    'category_id' => 'owq2q'
);

$ch = curl_init();

curl_setopt($ch, CURLOPT_URL, "https://realtime.oxylabs.io/v1/queries");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($params));
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_USERPWD, "USERNAME" . ":" . "PASSWORD");

$headers = array();
$headers[] = "Content-Type: application/json";
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);

$result = curl_exec($ch);
echo $result;

if (curl_errno($ch)) {
    echo 'Error:' . curl_error($ch);
}
curl_close($ch);
```

{% endtab %}

{% tab title="Golang" %}

```go
package main

import (
    "bytes"
    "encoding/json"
    "fmt"
    "io/ioutil"
    "net/http"
)

func main() {
    const Username = "USERNAME"
    const Password = "PASSWORD"

    payload := map[string]interface{}{
        "source": "target_category",
        "category_id": "owq2q",
    }

    jsonValue, _ := json.Marshal(payload)

    client := &http.Client{}
    request, _ := http.NewRequest("POST",
        "https://realtime.oxylabs.io/v1/queries",
        bytes.NewBuffer(jsonValue),
    )

    request.SetBasicAuth(Username, Password)
    response, _ := client.Do(request)

    responseText, _ := ioutil.ReadAll(response.Body)
    fmt.Println(string(responseText))
}
```

{% endtab %}

{% tab title="C#" %}

```csharp
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Json;
using System.Threading.Tasks;

namespace OxyApi
{
    class Program
    {
        static async Task Main()
        {
            const string Username = "USERNAME";
            const string Password = "PASSWORD";

            var parameters = new {
                source = "target_category",
                category_id = "owq2q"
            };

            var client = new HttpClient();

            Uri baseUri = new Uri("https://realtime.oxylabs.io");
            client.BaseAddress = baseUri;

            var requestMessage = new HttpRequestMessage(HttpMethod.Post, "/v1/queries");
            requestMessage.Content = JsonContent.Create(parameters);

            var authenticationString = $"{Username}:{Password}";
            var base64EncodedAuthenticationString = Convert.ToBase64String(System.Text.ASCIIEncoding.UTF8.GetBytes(authenticationString));
            requestMessage.Headers.Add("Authorization", "Basic " + base64EncodedAuthenticationString);

            var response = await client.SendAsync(requestMessage);
            var contents = await response.Content.ReadAsStringAsync();

            Console.WriteLine(contents);
        }
    }
}
```

{% endtab %}

{% tab title="Java" %}

```java
package org.example;

import okhttp3.*;
import org.json.JSONObject;
import java.util.concurrent.TimeUnit;

public class Main implements Runnable {
    private static final String AUTHORIZATION_HEADER = "Authorization";
    public static final String USERNAME = "USERNAME";
    public static final String PASSWORD = "PASSWORD";

    public void run() {
        JSONObject jsonObject = new JSONObject();
        jsonObject.put("source", "target_category");
        jsonObject.put("category_id", "owq2q");

        Authenticator authenticator = (route, response) -> {
            String credential = Credentials.basic(USERNAME, PASSWORD);
            return response
                    .request()
                    .newBuilder()
                    .header(AUTHORIZATION_HEADER, credential)
                    .build();
        };

        var client = new OkHttpClient.Builder()
                .authenticator(authenticator)
                .readTimeout(180, TimeUnit.SECONDS)
                .build();

        var mediaType = MediaType.parse("application/json; charset=utf-8");
        var body = RequestBody.create(jsonObject.toString(), mediaType);
        var request = new Request.Builder()
                .url("https://realtime.oxylabs.io/v1/queries")
                .post(body)
                .build();

        try (var response = client.newCall(request).execute()) {
            if (response.body() != null) {
                try (var responseBody = response.body()) {
                    System.out.println(responseBody.string());
                }
            }
        } catch (Exception exception) {
            System.out.println("Error: " + exception.getMessage());
        }

        System.exit(0);
    }

    public static void main(String[] args) {
        new Thread(new Main()).start();
    }
}
```

{% endtab %}

{% tab title="JSON" %}

```json
{
    "source": "target_category",
    "category_id": "owq2q"
}
```

{% endtab %}
{% endtabs %}

## Valores de parámetros de solicitud

<table><thead><tr><th width="180">Parámetro</th><th>Descripción</th><th width="160">Valor predeterminado</th></tr></thead><tbody><tr><td><mark style="background-color:green;"><strong><code>source</code></strong></mark></td><td>Configura el scraper.</td><td><code>target_category</code></td></tr><tr><td><mark style="background-color:green;"><strong><code>category_id</code></strong></mark></td><td>El ID del nodo de taxonomía de Target de la categoría, la parte después de <code>N-</code> al final de la URL de la página de categoría, por ejemplo <code>target.com/c/playstation-5-controllers-video-games/-/N-</code><strong><code>owq2q</code></strong>. Páselo sin el <code>N-</code> prefijo.</td><td>-</td></tr><tr><td><code>fulfillment_type</code>, <code>store_id</code>, <code>delivery_zip</code></td><td>Filtros opcionales de localización y disponibilidad; consulte Localización y filtrado.</td><td>-</td></tr></tbody></table>

&#x20;   \- parámetro obligatorio

## Localización y filtrado <a href="#localization-and-filtering" id="localization-and-filtering"></a>

<table><thead><tr><th width="150">Parámetro</th><th>Descripción</th><th width="120">Predeterminado</th></tr></thead><tbody><tr><td><code>fulfillment_type</code></td><td>Filtra el listado de categorías según cómo se pueden obtener los productos. Valores disponibles: <code>pickup</code> y <code>shop_in_store</code> (requiere <code>store_id</code>), <code>envío</code> y <code>same_day_delivery</code> (requiere <code>delivery_zip</code>).</td><td>-</td></tr><tr><td><code>store_id</code></td><td>Número de tienda de Target como entero, por ejemplo <code>1771</code>. Solo se aceptan números de tienda existentes.</td><td>-</td></tr><tr><td><code>delivery_zip</code></td><td>Código postal de entrega como una cadena, por ejemplo. <code>"10001"</code>.</td><td>-</td></tr></tbody></table>

`fulfillment_type` sin el parámetro que requiere se rechaza con HTTP 400.

```json
{
    "source": "target_category",
    "category_id": "owq2q",
    "fulfillment_type": "shipping",
    "delivery_zip": "10001"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.oxylabs.io/products/es/web-scraper-api/destinos/e-commerce/destino/categoria.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
